Bug 499394 - Review Request: ampache - web based audio/video streaming application
Review Request: ampache - web based audio/video streaming application
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
http://ampache.org/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 10:08 EDT by Paulo Roma Cavalcanti
Modified: 2016-08-30 08:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-05 00:26:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
david: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Paulo Roma Cavalcanti 2009-05-06 10:08:17 EDT
Description of problem:

Spec URL: http://orion.lcg.ufrj.br/RPMS/SPECS/ampache.spec

SRPM URL:
http://orion.lcg.ufrj.br/RPMS/src/ampache-3.5-6.fc10.src.rpm


Ampache is a web based audio/video streaming application and file manager allowing you to access your music & videos from anywhere, using almost any internet enabled device.
Comment 1 David Nalley 2009-05-08 21:33:56 EDT
Glad to see Ampache being packaged for Fedora
Comment 2 David Nalley 2009-05-08 22:02:23 EDT
Receiving 404 for the src rpm - let me know when it is up.
Comment 3 Paulo Roma Cavalcanti 2009-05-08 22:08:19 EDT
Sorry. It has just changed the directory:

http://orion.lcg.ufrj.br/RPMS/src/atrpms/ampache-3.5-6.src.rpm
Comment 4 David Nalley 2009-05-10 13:23:04 EDT
REVIEW GUIDELINES

FIX: rpmlint must be run on every package. The output should be posted in the review.

[ke4qqq@nalleyt61 SPECS]$ rpmlint ./ampache.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../SRPMS/ampache-3.5-6.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/ampache-3.5-6.fc10.noarch.rpm 
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_install_config.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/install.css
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_ip_history.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_random.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_add_access_rpc.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_lyrics.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_videos.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_search.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_object_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_user_activate.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_random_rules.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/sidebar_home.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_artist.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_xspf_player.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_artist_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_access.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_localplay_controllers.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_songs.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_similar_artists.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/subnavbar.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_play_selected.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_shout.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_export.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/rightbar.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_rename_artist.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_create_democratic.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_test.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_add_user.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_add_access_local.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_all_popular.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_genres.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_stats.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_add_shout.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_flag.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_localplay_edit_instance.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_alphabet_form.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_embed_xspf.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_album.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_add_access_current.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_playtype_switch.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_install_lang.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_user.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_duplicates.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_song.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_user_preferences.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/sidebar_modules.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_genre.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_account.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_random_albums.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_add_live_stream.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_video_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_users.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_flag_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_manage_democratic.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_install_check.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_import_playlist.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_objects.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_localplay_playlist.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_confirmation.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_album_art.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_live_streams.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_preference_admin.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_localplay_status.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/csshover2.htc
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_artist_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_album.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_install.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_live_stream_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_catalogs.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_flagged.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_disabled_songs.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_album_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_object_rating_static.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_now_playing_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_manage_catalogs.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_song_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_big_art.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_democratic_playlist.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_search_options.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_user.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_debug.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_add_catalog.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_catalog_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_democratic.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_user_stats.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_tagcloud.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/sidebar_preferences.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_plugins.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_add_access.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_artist.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_user_registration.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_adds_catalog.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_box_bottom.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_popular.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_access_list.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/sidebar_localplay.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_index.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_admin_tools.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_run_add_catalog.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_albums.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_playlist_song_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_user_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_stats_newest.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_playlist_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_mail_users.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_denied.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_verify_catalog.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_stats_popular.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_add_playlist.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_test_config.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_preferences.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_get_albumart.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_user_recommendations.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_localplay_control.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/header.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_playlist.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_playlist_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/javascript_refresh.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_song_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/sidebar_admin.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_registration_confirmation.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_playlists.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_newest.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_gather_art.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_playlist_songs.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_search_bar.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_install_account.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_dynamic.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_live_stream_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_artists.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_shoutbox.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/list_header.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_box_top.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_manage_shoutbox.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_song.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_preference_box.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_clean_catalog.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_admin_info.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/base.css
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_shout_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_login_form.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/sidebar.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_playlist_song_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/footer.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_now_playing.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_localplay_add_instance.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_album_row.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_recently_played.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_localplay_instances.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_playlist_edit.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/print.css
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_edit_catalog.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_update_items.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_object_rating.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_live_stream.inc.php
ampache.noarch: W: conffile-without-noreplace-flag /var/www/ampache/templates/show_duplicate.inc.php
ampache.noarch: E: non-readable /var/www/ampache/bin/sort_files.inc 0700
ampache.noarch: E: non-standard-executable-perm /var/www/ampache/bin/sort_files.inc 0700
ampache.noarch: E: executable-marked-as-config-file /var/www/ampache/bin/sort_files.inc
ampache.noarch: E: script-without-shebang /var/www/ampache/bin/sort_files.inc
ampache.noarch: E: non-readable /var/www/ampache/bin/dump_album_art.inc 0700
ampache.noarch: E: non-standard-executable-perm /var/www/ampache/bin/dump_album_art.inc 0700
ampache.noarch: E: executable-marked-as-config-file /var/www/ampache/bin/dump_album_art.inc
ampache.noarch: E: script-without-shebang /var/www/ampache/bin/dump_album_art.inc
ampache.noarch: E: non-readable /var/www/ampache/bin/write_tags.inc 0700
ampache.noarch: E: non-standard-executable-perm /var/www/ampache/bin/write_tags.inc 0700
ampache.noarch: E: executable-marked-as-config-file /var/www/ampache/bin/write_tags.inc
ampache.noarch: E: script-without-shebang /var/www/ampache/bin/write_tags.inc
ampache.noarch: E: non-readable /var/www/ampache/bin/fix_filenames.inc 0700
ampache.noarch: E: non-standard-executable-perm /var/www/ampache/bin/fix_filenames.inc 0700
ampache.noarch: E: executable-marked-as-config-file /var/www/ampache/bin/fix_filenames.inc
ampache.noarch: E: script-without-shebang /var/www/ampache/bin/fix_filenames.inc
ampache.noarch: E: non-readable /var/www/ampache/bin/migrate_config.inc 0700
ampache.noarch: E: non-standard-executable-perm /var/www/ampache/bin/migrate_config.inc 0700
ampache.noarch: E: executable-marked-as-config-file /var/www/ampache/bin/migrate_config.inc
ampache.noarch: E: script-without-shebang /var/www/ampache/bin/migrate_config.inc
ampache.noarch: E: non-readable /var/www/ampache/bin/delete_disabled.inc 0700
ampache.noarch: E: non-standard-executable-perm /var/www/ampache/bin/delete_disabled.inc 0700
ampache.noarch: E: executable-marked-as-config-file /var/www/ampache/bin/delete_disabled.inc
ampache.noarch: E: script-without-shebang /var/www/ampache/bin/delete_disabled.inc
ampache.noarch: E: non-executable-script /var/www/ampache/locale/base/gather-messages.sh 0644
ampache.noarch: E: script-without-shebang /var/www/ampache/themes/vegas/templates/default.css
ampache.noarch: E: wrong-script-end-of-line-encoding /var/www/ampache/themes/vegas/templates/default.css
ampache.noarch: E: script-without-shebang /var/www/ampache/themes/vegas/temp_images/drawing.svg
ampache.noarch: W: non-standard-uid /var/log/ampache apache
ampache.noarch: W: file-not-utf8 /usr/share/doc/ampache-3.5/ampache.sql
ampache.noarch: E: non-readable /var/www/ampache/bin/write_playlists.inc 0700
ampache.noarch: E: non-standard-executable-perm /var/www/ampache/bin/write_playlists.inc 0700
ampache.noarch: E: executable-marked-as-config-file /var/www/ampache/bin/write_playlists.inc
ampache.noarch: E: script-without-shebang /var/www/ampache/bin/write_playlists.inc
ampache.noarch: E: non-readable /var/www/ampache/bin/print_tags.inc 0700
ampache.noarch: E: non-standard-executable-perm /var/www/ampache/bin/print_tags.inc 0700
ampache.noarch: E: executable-marked-as-config-file /var/www/ampache/bin/print_tags.inc
ampache.noarch: E: script-without-shebang /var/www/ampache/bin/print_tags.inc
ampache.noarch: E: non-readable /var/www/ampache/bin/catalog_update.inc 0700
ampache.noarch: E: non-standard-executable-perm /var/www/ampache/bin/catalog_update.inc 0700
ampache.noarch: E: executable-marked-as-config-file /var/www/ampache/bin/catalog_update.inc
ampache.noarch: E: script-without-shebang /var/www/ampache/bin/catalog_update.inc
ampache.noarch: W: non-standard-gid /etc/ampache.cfg apache
ampache.noarch: E: non-readable /etc/ampache.cfg 0640
ampache.noarch: W: log-files-without-logrotate /var/log/ampache
1 packages and 0 specfiles checked; 41 errors, 160 warnings.


OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
Package has GPLv2 license in docs and several php files contain GPLv2 at the top. 

OK: The License field in the package spec file must match the actual license. 
spec file indicates gplv2, which several source files and copy of gplv2 in docs agree with. 

OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. 
[ke4qqq@nalleyt61 SOURCES]$ md5sum ampache-3.5.tar.gz*
9c3d4f6c11e0743eb0747ac910542aee  ampache-3.5.tar.gz
9c3d4f6c11e0743eb0747ac910542aee  ampache-3.5.tar.gz.1


OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1346322
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

No real build section (it's blank) so no buildrequires needed. 

NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
FIX: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
While you have defattr - I think perms are what's generating alot of the errors above. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 

I think you could put a few additional macros - for instance in the source0 line, you don't use %{name} but do use %{version} I personally think that not using macros on that line makes reviews faster, but no reason to not include both macros, but that strikes me as more of a preference than a blocker. 

OK: The package must contain code, or permissable content. 
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 



I see that you have a couple of themes tossed in, these are also GPLv2 and come from ampache, but curious as to why not break them out into a subpackage. I am not necessarily suggesting that you need to, just curious as to the reason.
Comment 5 Paulo Roma Cavalcanti 2009-05-10 14:58:55 EDT
Thanks for you feedback.

I removed almost all the warnings/errors:

[cascavel:~] rpmlint ampache
ampache.noarch: E: non-executable-script /var/www/ampache/locale/base/gather-messages.sh 0644
ampache.noarch: W: non-standard-uid /var/log/ampache apache
ampache.noarch: W: non-standard-gid /etc/ampache.cfg apache
ampache.noarch: E: non-readable /etc/ampache.cfg 0640
1 packages and 0 specfiles checked; 2 errors, 2 warnings.

I had a misplaced %config in the templates directory, which caused
almost all of them.

I included a logrotate file, and did some other clean ups.

Regarding your question about the themes, I put them in the package,
because I do not like ampache default theme, and they are small.
Creating another package just for the themes seems to be an unnecessary
work, and in general, people do not even know about the existence
of a theme package. I also included my favourite theme now.

Ampache does not really require these packages, but

Requires(hint): xmms lame mp3splt

was intended to add all of its functionality. But I think the hint
is not just a hint. It will force the installation of all the three packages,
and lame and mp3splt are not part of Fedora, because of licence issues.


SRPM URL: http://orion.lcg.ufrj.br/RPMS/src/ampache-3.5-7.fc10.src.rpm
Comment 6 Paulo Roma Cavalcanti 2009-05-10 18:18:20 EDT
Sorry, but I made some more simplifications in the spec file,
and re-uploaded the .src.rpm (same URL).

The file section is very small now.
Comment 7 David Nalley 2009-05-14 01:56:35 EDT
rpmlint on the binary still has some issues: 
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/ampache-3.5-7.fc10.noarch.rpm 
ampache.noarch: E: non-executable-script /var/www/ampache/locale/base/gather-messages.sh 0644
ampache.noarch: W: non-standard-uid /var/log/ampache apache
ampache.noarch: W: non-standard-gid /etc/ampache.cfg apache
ampache.noarch: E: non-readable /etc/ampache.cfg 0640
1 packages and 0 specfiles checked; 2 errors, 2 warnings.

The non-standard gid/uid warnings can be ignored, but the two errors should be looked at. 

Also I noticed that you are putting content in /var/www/apache

https://fedoraproject.org/wiki/Packaging/Guidelines#Web_Applications
requires that web apps use /usr/share/%{name}

Also the Requires(hint) line - lame and mp3splt, as you identify above aren't in fedora, so you can't require those (not to mention the legal issues that abound)
Comment 8 Paulo Roma Cavalcanti 2009-05-14 06:15:42 EDT
(In reply to comment #7)
> rpmlint on the binary still has some issues: 
> [ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/ampache-3.5-7.fc10.noarch.rpm 
> ampache.noarch: E: non-executable-script
> /var/www/ampache/locale/base/gather-messages.sh 0644
> ampache.noarch: W: non-standard-uid /var/log/ampache apache
> ampache.noarch: W: non-standard-gid /etc/ampache.cfg apache
> ampache.noarch: E: non-readable /etc/ampache.cfg 0640
> 1 packages and 0 specfiles checked; 2 errors, 2 warnings.
> 
> The non-standard gid/uid warnings can be ignored, but the two errors should be
> looked at. 

The file /etc/ampache.cfg contains the mysql ampache database password
in clear text. Therefore, I think it is better a more restrictive reading permission.

The script /var/www/ampache/locale/base/gather-messages.sh can have a 755
permission if you prefer this way.

> 
> Also I noticed that you are putting content in /var/www/apache
> 
> https://fedoraproject.org/wiki/Packaging/Guidelines#Web_Applications
> requires that web apps use /usr/share/%{name}

I changed the server root to /usr/share/ampache

> 
> Also the Requires(hint) line - lame and mp3splt, as you identify above aren't
> in fedora, so you can't require those (not to mention the legal issues that
> abound)  

Removed non free packages.

SRPM URL: http://orion.lcg.ufrj.br/RPMS/src/ampache-3.5-8.fc10.src.rpm
Comment 9 David Nalley 2009-05-17 00:03:12 EDT
Several of your install commands don't use -p and thus don't preserve timestamps.

Additionally, your cp commands don't consistently use the same parameters, and while technically correct, may be something you want to look out, though it's certainly not a blocker, more of a style issue if anything.

Why are you deleting the man page? You just copied the file there just a few lines earlier

[ke4qqq@nalleyt61 SPECS]$ rpmlint ./ampache.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../SRPMS/ampache-3.5-8.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/ampache-3.5-8.fc10.noarch.rpm 
ampache.noarch: E: non-executable-script /usr/share/ampache/locale/base/gather-messages.sh 0644
ampache.noarch: W: non-standard-uid /var/log/ampache apache
ampache.noarch: W: non-standard-gid /etc/ampache.cfg apache
ampache.noarch: E: non-readable /etc/ampache.cfg 0640
1 packages and 0 specfiles checked; 2 errors, 2 warnings.



The modules directory contains a lot of 3rd party packages, such as getid3 from http://getid3.sourceforge.net/ and pear xml rpc  from http://pear.php.net/package/XML_RPC
There appear to be plenty of these. Unfortunately the packaging guidelines don't permit including other software packages within a single package. Unfortunately this is a common problem with web applications since much of their target audience is shared hosting where the user doesn't have control over the host. If these already exist in fedora you can get either symlink or modify the source to look elsewhere. If they don't you'll need to get those packaged as well and symlink or modify source to point to them.
Comment 10 Paulo Roma Cavalcanti 2009-05-17 07:03:13 EDT
(In reply to comment #9)
> Several of your install commands don't use -p and thus don't preserve
> timestamps.

This can be done, but the files being installed are my own source.

> 
> Additionally, your cp commands don't consistently use the same parameters, and
> while technically correct, may be something you want to look out, though it's
> certainly not a blocker, more of a style issue if anything.

I used cp -a, which according to the manual, is the same as -cdpR

> 
> Why are you deleting the man page? You just copied the file there just a few
> lines earlier
> 

The man page would go to the doc directory (/usr/share/doc/ampache).
I just installed it in the appropriate place, /usr/share/man/man1/,
and removed it to avoid the same file being in two different places.
Furthermore, if I kept a copy in the doc dir, rpmlint would complain it
is not compressed. 

> [ke4qqq@nalleyt61 SPECS]$ rpmlint ./ampache.spec 
> 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
> [ke4qqq@nalleyt61 SPECS]$ rpmlint ../SRPMS/ampache-3.5-8.fc10.src.rpm 
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> [ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/ampache-3.5-8.fc10.noarch.rpm 
> ampache.noarch: E: non-executable-script
> /usr/share/ampache/locale/base/gather-messages.sh 0644
> ampache.noarch: W: non-standard-uid /var/log/ampache apache
> ampache.noarch: W: non-standard-gid /etc/ampache.cfg apache
> ampache.noarch: E: non-readable /etc/ampache.cfg 0640
> 1 packages and 0 specfiles checked; 2 errors, 2 warnings.
> 
> 
> 
> The modules directory contains a lot of 3rd party packages, such as getid3 from
> http://getid3.sourceforge.net/ and pear xml rpc  from
> http://pear.php.net/package/XML_RPC
> There appear to be plenty of these. Unfortunately the packaging guidelines
> don't permit including other software packages within a single package.
> Unfortunately this is a common problem with web applications since much of
> their target audience is shared hosting where the user doesn't have control
> over the host. If these already exist in fedora you can get either symlink or
> modify the source to look elsewhere. If they don't you'll need to get those
> packaged as well and symlink or modify source to point to them. 

I saw a similar issue with gallery2, which released a new version symlinked
to php-Smarty.

Well, I did not find getid3 in Fedora, and probably several of the others
are not also. But to pack and review all of them should take ages to complete ...

I am keeping ampache in ATrpms, and I have already incorporated almost all of your suggestions in the current release (I will just move the server root to /usr/share in the next release). Eventually, these applications will be packed
(I can do some of them), and we can return to this review in the future.

Thanks anyway.
Comment 11 Jan Klepek 2009-11-12 14:59:11 EST
Hi David,

If this package is not suitable for fedora, please follow 
http://fedoraproject.org/wiki/Package_Review_Process
and close it with short explanation and set fedora.review-

Hi Paul,

If you are not willing to fix missing dependency, please close this request.
Comment 12 David Nalley 2010-09-05 00:26:54 EDT
Paulo: 

I am happy to help you with this request, but it's not seen any progress in almost a year. I realize the bundled libraries many web packages have can be daunting. If you want to pursue it again, please don't hesitate to reopen, I'll happily review for you, but at the moment I am going to close it. 

Thanks
Comment 13 Randy Barlow 2016-08-30 08:37:47 EDT
I would like to pursue getting ampache into Fedora, and am willing to deal with its extensive list of dependencies. Any objections?

Note You need to log in before you can comment on or make changes to this bug.